| CMSIS-DSP Version 1.4.4 CMSIS DSP Software Library

- CMSIS
- CORE
- Driver
- DSP
- RTOS API
- Pack
- SVD

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
arm_bitreversal.c File Reference

## Functions

void | arm_bitreversal_f32 (float32_t *pSrc, uint16_t fftSize, uint16_t bitRevFactor, uint16_t *pBitRevTab)
void | arm_bitreversal_q31 (q31_t *pSrc, uint32_t fftLen, uint16_t bitRevFactor, uint16_t *pBitRevTable)
void | arm_bitreversal_q15 (q15_t *pSrc16, uint32_t fftLen, uint16_t bitRevFactor, uint16_t *pBitRevTab)

## Function Documentation

void arm_bitreversal_f32 | ( | float32_t * | pSrc,
|  | uint16_t | fftSize,
|  | uint16_t | bitRevFactor,
|  | uint16_t * | pBitRevTab
| ) |  |

Referenced by arm_cfft_radix2_f32(), arm_cfft_radix4_f32(), and arm_rfft_f32().

void arm_bitreversal_q15 | ( | q15_t * | pSrc16,
|  | uint32_t | fftLen,
|  | uint16_t | bitRevFactor,
|  | uint16_t * | pBitRevTab
| ) |  |

Referenced by arm_cfft_radix2_q15(), and arm_cfft_radix4_q15().

void arm_bitreversal_q31 | ( | q31_t * | pSrc,
|  | uint32_t | fftLen,
|  | uint16_t | bitRevFactor,
|  | uint16_t * | pBitRevTable
| ) |  |

Referenced by arm_cfft_radix2_q31(), and arm_cfft_radix4_q31().